#include <iostream>
#include <functional>

class Calculator {
public:
    int multiply(int a, int b) const {
        return a * b;
    }
};

int main() {
    Calculator calc;
    std::function<int(const Calculator&, int, int)> func = &Calculator::multiply;
    
    std::cout << "Result: " << func(calc, 5, 6) << std::endl;
    return 0;
}
